

`timescale 1ns/1ps

module tb;

//input
    reg     clk;
    reg     rst;

//output
    wire    error_out;
    wire    r_data_flag;


    GSR GSR(.GSRI(1'b1));
    
    spi_test_top ip_tst  (
        .clk_50M(clk),
        .rst_n(rst),
        .error_out(error_out),
        .r_data_flag(r_data_flag)
    );

    initial begin
        clk=0;
        forever #10 clk=~clk;
    end

    initial begin
        $fsdbDumpfile("spi.fsdb");
        $fsdbDumpvars;
    end

    integer fp_w;
	initial begin
        fp_w = $fopen("tmp.avc", "w");
        #3;
        forever
        #10 $fwrite(fp_w,"R1 ts1 %d%d;\n",clk,rst);
    end


    initial begin
        rst=1;
        #1000;
        rst=0;
        #100;
        rst=1;
        #500000;

        $fclose(fp_w);
        $finish;
    end

endmodule
